Remove a contact identity
Removes one address from the contact and returns the contact. Use this endpoint to remove a contact identity through the Samva email API.
Removes one address from the contact and returns the contact.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^contact_[0-9a-hjkmnp-tv-z]{16,24}$identityId*string
Match
^cident_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/contacts/string/identities/string"{ "id": "string", "name": "string", "displayName": "string", "avatar": "string", "status": "active", "statusReason": "string", "externalId": "string", "identities": [ { "id": "string", "channel": "email", "identifier": "string", "verified": true } ], "profile": { "firstName": "string", "lastName": "string", "company": "string", "jobTitle": "string", "location": { "country": "string", "state": "string", "city": "string", "timezone": "string" }, "customFields": { "property1": "string", "property2": "string" }, "source": "api" }, "preferences": { "preferredChannels": [ "email" ], "language": "string", "timezone": "string", "notifications": { "email": true, "quiet_hours": { "start": "string", "end": "string" } } }, "tags": [ "string" ], "metadata": {}, "createdAt": "string", "updatedAt": "string"}